Subject: Re: Overlong lines with git-merge --log

From: Stephen Bash <[email-masked]>
Date: Fri, 2 Nov 2012 09:49:33 -0400 (EDT)

----- Original Message -----
> From: "Tim Janik" <[email-masked]>
> Sent: Friday, November 2, 2012 9:24:29 AM
> Subject: Re: Overlong lines with git-merge --log
> 
> On 02.11.2012 11:05, Jeff King wrote:
> 
> > Taking just the first line of those often cuts off the useful part.
> > It was deemed less bad to show the whole message as a subject rather
> > than cut it off arbitrarily.
> 
> Thanks a lot for the explanation, I'm using git directly here, but the
> two cases I had indeed lacked this newline.

FWIW we use merge --log quite extensively here at the office, and I've developed a habit to skim the extremely long lines and attempt to cut them intelligently (something I don't trust the computer to do for me).  Sometimes that means taking the second or third sentence if it's a better summary, sometimes it's just abbreviating the first.  Now that merge automatically spawns an editor, this is quite convenient (though it does take a bit longer).

Thanks,
Stephen